NCARGF90(1NCARG)

NAME
ncargf90 - Command for compiling Fortran code that uses the NCAR Graphics low-level utilities

SYNOPSIS
ncargf90 [-ngmath] [-smooth] [-quick] [-super] [-agupwrtx] [-ictrans] [-noX11] ...

DESCRIPTION
ncargf90 is a script that invokes the FORTRAN 90 compiler/linker with the proper NCAR Graphics LLU (low-level utility) libraries. Arguments presented above are associated with NCAR Graphics. All other arguments and options are identical to the f90 command on your particular machine; arguments that include quoted strings may have to be enclosed in single quotes.

NOTE: ncargf90 cannot be used to compile NCAR Graphics Fortran programs that call the HLUs (high-level utilities). You must use nhlf90 instead. See the nhlf90 man page for more information.

In order to run ncargf90, you must have your NCARG_ROOT environment variable set to the directory pathname where the NCAR Graphics libraries, binaries, and include files were installed. If you are not sure what NCARG_ROOT should be set to, please check with your system administrator or the site representative for NCAR Graphics. If the NCAR Graphics libraries, binaries, and include files were not installed under one root directory, then you will need to set the environment variables NCARG_LIB, NCARG_BIN, and NCARG_INCLUDE instead. Please see "man ncargintro" for more information.

Note that, on some systems, if you supply your own binary libraries in addition to the ones automatically referenced by ncargf90, all the libraries must have been created in a similar fashion.

OPTIONS

-ngmath
    Links in the NCAR Graphics ngmath library.

-smooth
    Link in the "smooth" objects.

-quick
    Link in the "quick" objects.

-super
    Link in the "super" objects.

-agupwrtx
    Link in the "agupwrtx" library.

-ictrans
    When ncargf90 is invoked with the this option, the resulting executable will, upon invocation, send its metafile output to the translator ictrans . The environment variable GRAPHCAP must be set to a valid graphics output device whenever the executable is executed.

-noX11
    Do not link in the X library when linking the code.

    By default, ncargf90 will load the X11 library when linking your Fortran program. This is because the GKS library now has an X11 driver. If you try running ncargf90 and the compiler complains that it cannot find the library for X11, then try running ncargf90 -L/xxx/yyy/zzz program.f where /xxx/yyy/zzz is the path leading to your X11 library. If you do not have the X11 library, or else you just don't want it to be loaded, you can use the -noX11 option.

SEE ALSO
Online: ictrans(1NCARG), gcaps(1NCARG), ncargcc(1NCARG), nhlcc(1NCARG), nhlf90(1NCARG), ncargintro(5NCARG)

COPYRIGHT
Copyright (C) 2000
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.